const {Database} = require("sqlite3")

module.exports = class {
	constructor(db) {
		if (! db instanceof Database) {
			throw new Error("Failed to construct a database instance, param must be a sqlite3.Database")
		}
		this.db = db
		this.updates = {}
	}

	getUpdateString(object) {
		let sql = ""
		const keys = Object.keys(object)
		for (const key of keys) {
			sql += `${key} = $${key}`
			object[`$${key}`] = object[key]
			delete object[key]
		}
		return sql
	}
}
